PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

void CORE_cswpab | ( | int | i,
|  | int | n1,
|  | int | n2,
|  | PLASMA_Complex32_t * | A,
|  | PLASMA_Complex32_t * | work
| ) |  |

CORE_cswpab swaps two adjacent contiguous blocks of data.

    n1                     n2

+----------—+----------------------------—+

become : n2 n1 +----------------------------—+----------—+

Parameters

  [in,out] | A | Array of size i+n1+n2. On entry, a block of size n1 followed by a block of size n2. On exit, the block of size n1 follows the block of size n2.
  [in] | i | First block starts at A[i].
  [in] | n1 | Size of the first block to swap.
  [in] | n2 | Size of the second block to swap.
  [out] | work | Workspace array of size min(n1, n2).